%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           xmlbird
Version:        1.2.4
Release:        %mkrel 1
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries
License:        LGPLv3+
Url:            http://birdfont.org/xmlbird.php
Source0:        http://birdfont.org/xmlbird-releases/lib%{name}-%{version}.tar.xz
Patch0:         libxmlbird-1.2.4-mga-lib-permissions.patch

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  python3
BuildRequires:  vala

%description
XML parser with support for Vala iterators.

%package -n %{libname}
Summary:        XML parser with support for Vala iterators
Group:          System/Libraries

%description -n %{libname}
XML parser with support for Vala iterators.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel

%description -n %{devname}
Development files for the %{name} XML parser.

%prep
%setup -q -n lib%{name}-%{version}
%autopatch -p1

sed -i -e 's/^libdir=.*/libdir=\${exec_prefix}\/%{_lib}/' scripts/pkgconfig.py

%build
%{__python3} configure -p%{_prefix}
%{__python3} build.py

%install
%{__python3} install.py -d%{buildroot}

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_datadir}/vala/vapi/%{name}.vapi
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h


%changelog
* Sat Oct 29 2016 akien <akien> 1.2.4-1.mga6
+ Revision: 1064031
- Version 1.2.4, fixes major (back to 1)

* Sat Apr 23 2016 akien <akien> 1.2.0-1.mga6
+ Revision: 1005510
- Version 1.2.0
- Fix libdir in pkgconfig file

* Wed Feb 17 2016 umeabot <umeabot> 1.0.6-3.mga6
+ Revision: 963625
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 akien <akien> 1.0.6-2.mga6
+ Revision: 894788
- Fix empty debuginfo by making library executable

* Fri Oct 23 2015 akien <akien> 1.0.6-1.mga6
+ Revision: 894764
- imported package xmlbird

